﻿using System.Drawing;
using System.Windows.Forms;

using Steema.TeeChart.Drawing;
using Steema.TeeChart.Functions;
using Steema.TeeChart.Styles;

namespace TestProject
{
    /// <summary>
    /// 메인 폼
    /// </summary>
    public partial class MainForm : Form
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainForm()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainForm()
        {
            InitializeComponent();

            Text = "Divide 클래스 사용하기";

            this.tChart.Panel.Pen = new ChartPen(Color.Black);

            Bar bar1 = new Bar(this.tChart.Chart);

            bar1.Add(new double[6] { 2, 3, 5, 7, 1, 4 });

            Bar bar2 = new Bar(this.tChart.Chart);

            bar2.Add(new double[6] { 1, 5, 9, 3, 8, 2 });

            Divide divide = new Divide();

            Line line = new Line(this.tChart.Chart);

            line.Pointer.Visible = true;
            line.Marks.Visible   = true;
            line.Function        = divide;
            line.DataSource      = new object[] { bar1, bar2 };
        }

        #endregion
    }
}